Debian Bug report logs - #607907
readline-enabled version of psql?

version graph

Package: postgresql-common; Maintainer for postgresql-common is Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>; Source for postgresql-common is src:postgresql-common.

Reported by: Jeff Turner <jeff@biccard.com>

Date: Fri, 24 Dec 2010 02:00:01 UTC

Severity: important

Tags: l10n, sid

Merged with 607109, 607143, 608442, 611918

Found in version postgresql-common/113

Fixed in version postgresql-common/114

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#607907; Package postgresql-client-9.0. (Fri, 24 Dec 2010 02:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Turner <jeff@biccard.com>:
New Bug report received and forwarded. Copy sent to Martin Pitt <mpitt@debian.org>. (Fri, 24 Dec 2010 02:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Turner <jeff@biccard.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: readline-enabled version of psql?
Date: Fri, 24 Dec 2010 12:57:04 +1100
Package: postgresql-client-9.0
Version: 9.0.2-1~maverick1
Severity: wishlist

The switch from readline to libedit in 9.0.1-2 (#603599) was very unfortunate. I find readline shortcuts like ctrl-left/ctrl-right indispensable for editing long SQL statements. The change has caused various other bugs (#605313, #607109).

A possible workaround is to use 'rlwrap psql -n' [1], but that loses all the psql-specific autocompletion (eg. of table names/columns), and also breaks ctrl-c/ctrl-d.

If the choice is between SSL capabilities or readline support, I think many people who only run and connect to postgres locally would prefer readline support. To allow this choice, would it be possible to build a 'psql-readline' (readline-enabled, SSL disabled), a 'psql-ssl' (editline, SSL enabled), and set one as /usr/bin/psql with update-alternatives?[2]



Regards,
Jeff

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607109#15
[2] CDBS 'flavors' support could be used for this.






Information forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#607907; Package postgresql-client-9.0. (Fri, 24 Dec 2010 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jeff@biccard.com:
Extra info received and forwarded to list. Copy sent to Martin Pitt <mpitt@debian.org>. (Fri, 24 Dec 2010 03:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 607907@bugs.debian.org (full text, mbox):

From: jeff@biccard.com
To: 607907@bugs.debian.org
Subject: Re: Bug#607907: Acknowledgement (readline-enabled version of psql?)
Date: Fri, 24 Dec 2010 14:13:47 +1100
For people wanting a quick hacky fix, the postgresql-client-9.0  
package can be compiled with readline support thusly:


sudo apt-get build-dep postgresql-9.0
sudo apt-get install devscripts
apt-get source postgresql-9.0
cd postgresql-9.0-*
perl -i -pe 's/libedit-dev,/libreadline-dev | libreadline5-dev,/g'  
debian/control
dch -i "Restore readline capabilities in psql, at the cost of SSL  
capabilities (see #603599)"
debuild
sudo dpkg -i  ../postgresql-client-9.0_*_i386.deb




Bug reassigned from package 'postgresql-client-9.0' to 'postgresql-common'. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 9.0.2-1~maverick1. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:12 GMT) Full text and rfc822 format available.

Bug Marked as found in versions postgresql-common/113. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:13 GMT) Full text and rfc822 format available.

Forcibly Merged 607109 607143 607907 608442 611918. Request was from Martin Pitt <martin.pitt@ubuntu.com> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 21:27:27 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:24 GMT) Full text and rfc822 format available.

Notification sent to Jeff Turner <jeff@biccard.com>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:24 GMT) Full text and rfc822 format available.

Message #25 received at 607907-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 607907-close@bugs.debian.org
Subject: Bug#607907: fixed in postgresql-common 114
Date: Sun, 13 Feb 2011 21:48:49 +0000
Source: postgresql-common
Source-Version: 114

We believe that the bug you reported is fixed in the latest version of
postgresql-common, which is due to be installed in the Debian FTP archive:

postgresql-client-common_114_all.deb
  to main/p/postgresql-common/postgresql-client-common_114_all.deb
postgresql-common_114.dsc
  to main/p/postgresql-common/postgresql-common_114.dsc
postgresql-common_114.tar.gz
  to main/p/postgresql-common/postgresql-common_114.tar.gz
postgresql-common_114_all.deb
  to main/p/postgresql-common/postgresql-common_114_all.deb
postgresql-server-dev-all_114_all.deb
  to main/p/postgresql-common/postgresql-server-dev-all_114_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607907@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated postgresql-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Feb 2011 22:28:33 +0100
Source: postgresql-common
Binary: postgresql-common postgresql-client-common postgresql-server-dev-all
Architecture: source all
Version: 114
Distribution: unstable
Urgency: low
Maintainer: Martin Pitt <mpitt@debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 postgresql-client-common - manager for multiple PostgreSQL client versions
 postgresql-common - PostgreSQL database-cluster manager
 postgresql-server-dev-all - extension build tool for multiple PostgreSQL versions
Closes: 607109 607907 607946 608442 608522 611918
Changes: 
 postgresql-common (114) unstable; urgency=low
 .
   * debian/supported-versions: Add Ubuntu 11.04. Drop versions which are newer
     than the ones supported in the released versions, as backports are now
     generally accepted by our .config scripts, but having those newer versions
     confuses pg_buildext.
   * debian/postgresql-common.config: Silence warning from --compare-versions
     when being called through a trigger and $2 is not a version number.
     This works around the underlying dpkg problem. (Closes: #608522)
   * Add debian/postgresql-common.sysctl: sysctl.d/ template for changing
     kernel.shmmax and kernel.shmall, which is very common with PostgreSQL.
     Install it in debian/rules. Thanks to Peter Eisentraut for the suggestion!
     (Closes: #607946)
   * testsuite: Take new unified init script into account when stopping
     existing clusters. Thanks Steve Beattie! (LP: #712200)
   * pg_wrapper: If libreadline is installed, LD_PRELOAD this for "psql", to
     avoid using the rather broken libedit. We need to build the postgresql-X.Y
     packages against libedit for license reasons (#603599), but as libreadline
     has a drop-in compatible ABI, this works around the licensing
     restrictions. Thanks to Andreas Barth for working this out! Add a
     recommends to libreadline6. (Closes: #608442, #607907, #607109, #611918)
Checksums-Sha1: 
 5bb571d6e585983697c509290b94176d5e6678ce 1579 postgresql-common_114.dsc
 7a8a6d5a74c6ba4f1eea96176335542254b255ed 128323 postgresql-common_114.tar.gz
 73c16df6dfce21e02692ecf9d782121267db7b53 128170 postgresql-common_114_all.deb
 247f994e2d04f324c7adcb1a4081748aebef0ca0 57594 postgresql-client-common_114_all.deb
 09a5b13ae5c480f5bf4c64f32aa747bfb14f2615 42706 postgresql-server-dev-all_114_all.deb
Checksums-Sha256: 
 cef86b4990304d742544f26e29185e4d7caf14252e82f4bc69007da4524bbe81 1579 postgresql-common_114.dsc
 7d0ff9edc4c8783b262c3ddf5136035095349ab45818af6860290708da8b9fc9 128323 postgresql-common_114.tar.gz
 0f4d8fb66307396eb8aff4deb2bac594a8d5a217acaebf33bbf44ec6cd0c53c2 128170 postgresql-common_114_all.deb
 7cbd4aa9c1b63ccaabb68e52ef4792d04c31da3fba521f9fd2ee735774d5d476 57594 postgresql-client-common_114_all.deb
 e6adeff0fa564d774d55d6f007d46b8baae37201df2cc19750a6d718714eda42 42706 postgresql-server-dev-all_114_all.deb
Files: 
 84c174c7bfc1b104c3b534001683bb7d 1579 database optional postgresql-common_114.dsc
 daf3387a35a586c78a9418abd5dc41b3 128323 database optional postgresql-common_114.tar.gz
 4fefcbff731c60f7706975e23b415797 128170 database optional postgresql-common_114_all.deb
 3d934af178c5d9dd79da1f14d272f101 57594 database optional postgresql-client-common_114_all.deb
 a8e3923b0d39a4c9c8161c0b087ba160 42706 database optional postgresql-server-dev-all_114_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNWE1QAAoJEPmIJawmtHufogoP/iEbuRDXHnzSuc8IR8XdjeRd
0mG8yhZXFw4T/EHLqbnOD4FxDMU8eD9YJtlzHC0wYnnEmMh5wd29fzyz7vhrNw54
y5mxc+wGvcaHcnYdFYMRwXx999jiFygZ0cSGDMCC2D+pg0PbIg9+BeqtFpU97WiH
kC2uhGwFTHjl7kFRm2iVVFBqgtUGhKkFwEV5LQ1hgw2+AZv03pt61+x80cz65a19
nr42A/FwgqtfVRGcOhBFIhPlz/4n0JohpeTKJ7/Ly82EPQ6dnFLJI3mxI2bphij5
l5nahB4EknnAGsBsQjqo3n4usLhBcS6SmChCdWT7LfZhDlQtjs2RuBshrClCz9nU
BowSYfZ/6AyPQHrNUIjQHlIp3QerweSbhIaHdGf1X7GynZz13UQMzUzi3YSHh6lf
P0uEUzT10bG791ZiUdvY70j3dEk18ZSIM1drC/k1JC/YBgdLmb/UShsy//57mvcx
L7Eg1VCokd/3NJntHBcYuzybpMmFxqCVV6kePN3KkLMWb+4aW+KLXQzNin16vtud
4lRZ0c/b4Sihox48H9GugvZK3JpnCARLKmdvvczub2425m0XGpQS6q+zs1bv6Itu
JMCW1G/GBHYvo7UXI5eCMI7sId9C+9JzwPiLfrL8sXmb/tDifJ4rk+wCXLfKkBhe
ydVIDy+m7vKaEJtE46NH
=NdED
-----END PGP SIGNATURE-----





Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:25 GMT) Full text and rfc822 format available.

Notification sent to Antti Salmela <asalmela@iki.fi>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:25 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:25 GMT) Full text and rfc822 format available.

Notification sent to Sergey Burladyan <eshkinkot@gmail.com>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:25 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:26 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Rose <sebastian_rose@gmx.de>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:26 GMT) Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. (Sun, 13 Feb 2011 21:51:27 GMT) Full text and rfc822 format available.

Notification sent to Pascal Volk <user@localhost.localdomain.org>:
Bug acknowledged by developer. (Sun, 13 Feb 2011 21:51:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:39:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.